Skip to main content
`Ctrl`+`K`

# numpy.random.RandomState.standard_exponential

method

random.RandomState.standard_exponential(size=None)

  Draw samples from the standard exponential distribution.

  `standard_exponential` is identical to the exponential distribution with a scale parameter of 1.

  Note

  New code should use the `standard_exponential` method of a `Generator` instance instead; please see the Quick start.

  Parameters:
    size int or tuple of ints, optional

      Output shape. If the given shape is, e.g., `(m, n, k)`, then `m * n * k` samples are drawn. Default is None, in which case a single value is returned.

  Returns:
    out float or ndarray

      Drawn samples.

  See also

  `random.Generator.standard_exponential`

    which should be used for new code.

  Examples

  Output a 3x8000 array:

      >>> n = np.random.standard_exponential((3, 8000))